MAj PHP et MySQL

Bonjour,

Je suis sous Debian 7.9.
J’ai mis à jour le système, ainsi que les applis, en particulier OwnCloud vers sa dernière version proposée par Yunohost.

Dans la partie administration de OwnCloud, j’ai un avertissement de sécurité :

La version de PHP utilisée (5.4.45-0+deb7u2) n’est plus prise en charge par les créateurs de PHP. Nous vous recommandons de mettre à niveau votre installation de PHP pour bénéficier de meilleures performances et des mises à jour de sécurité fournies par PHP.

D’autre part, j’ai voulu installer la package Mattermost (https://github.com/kemenaran/yunohost-mattermost). Celui-ci n’a pas pu s’installer car ma version de MySQL est trop ancienne. La version minimale est la version 5.6 (la mienne est la 5.5).

Y aurai-t-il une bonne âme pour m’expliquer comment récupérer les dernières versions de PHP et de MySQL pour les installer dans Yunohost (Debian 7.9) ?

D’autre part, quelqu’un a-t-il déjà fait cette MAJ sans rencontrer de problème de compatibilité ?
Ce que je venx dire, c’est est-ce que OwnCloud va continuer à fonctionner, vu ses dépendances à PHP et MySQL ?

Merci de vos réponses avisées.

Cordialement.

PS : j’ai vu que la question de la MAJ de PHP 5.4 vers une version supérieure avait déjà été posée, sans réponse depuis 3/4 mois.

Re-bonjour,

En fouinant sur le net, j’ai trouvé cela pour mettre à jour PHP et MySQL :

Quelqu’un peut-il me dire si les mises à jour vont avoir un impact sur la stabilité de Yunohost ? et sur le fait de garder les bases MySQL fonctionnelles ?
Pour la MAJ éventuelle de PHP, quelle version utiliser ? la 5.6 ou la 5.5 ?

Merci de vos réponses.

Cdt.

Bonjour,
Au final est ce que la bonne solution ne serait pas de passer sous debian 8 ?

Je déconseille fortement les 2 liens proposé, les noms des paquets sont différents des paquets standards dont yunohost dépend. C’est un coup à se retrouver avec 2 versions de php et 2 mysql installés sur le server qui ne cohabiteront surement pas très bien ensemble.

Au niveau de la sécurité de php, la version n’est peut être plus maintenue pas les créateur de php mais elle l’est toujours par les mainteneurs de debian.

Bonsoir,

Ok pour éviter d’installer les packages référencés via les deux liens proposés.
J’avoue ne pas avoir cherché plus loin sur le net.
Bien compris les problématiques soulevées.

Maintenant, comment je fais pour passer sous Debian 8 sans tout casser ?
En effet, mon serveur est utilisé dans mon entreprise, principalement pour le partage et la synchro de fichiers et répertoires (OwnCloud et Seafile).

Cdt.

Pour upgrader à debian 8 il y a des instructions et des retours d’expérience ici
https://forum.yunohost.org/t/debian-8-0-jessie-compatibility/?source_topic_id=1371

D’une manière générale la 1ère règle c’est de faire un backup. Soit un snapshot complet du système soit des backups plus spécifique (fichiers owncloud /seafile + ldap yunohost par exemple).
C’est aussi possible de tenter d’installer un yunohost sur une debian 8 toute neuve et d’essayer de migrer les apps / données.

Par curiosité, pourquoi owncloud + seafile ? A priori ces 2 apps font un peu la même chose.